.TH wxTextAttr 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxTextAttr \- See external documentation: wxTextAttr\&.
.SH DESCRIPTION
.LP
See external documentation: wxTextAttr <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxTextAttr()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxTextAttr()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrwxtextattr>\&.
.RE
.LP
.B
new(ColText::colour() (see module wx)) -> wxTextAttr()
.br
.RS
.LP
Equivalent to new(ColText, [])\&.
.RE
.LP
.B
new(ColText::colour() (see module wx), Options::[Option]) -> wxTextAttr()
.br
.RS
.TP
Types
Option = {colBack, colour() (see module wx)} | {font, wxFont() (see module wxFont)} | {alignment, WxTextAttrAlignment}
.br
WxTextAttrAlignment = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrwxtextattr>\&. 
.br
 WxTextAttrAlignment is one of ?wxTEXT_ALIGNMENT_DEFAULT | ?wxTEXT_ALIGNMENT_LEFT | ?wxTEXT_ALIGNMENT_CENTRE | ?wxTEXT_ALIGNMENT_CENTER | ?wxTEXT_ALIGNMENT_RIGHT | ?wxTEXT_ALIGNMENT_JUSTIFIED
.RE
.LP
.B
getAlignment(This::wxTextAttr()) -> WxTextAttrAlignment
.br
.RS
.TP
Types
WxTextAttrAlignment = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrgetalignment>\&. 
.br
 WxTextAttrAlignment is one of ?wxTEXT_ALIGNMENT_DEFAULT | ?wxTEXT_ALIGNMENT_LEFT | ?wxTEXT_ALIGNMENT_CENTRE | ?wxTEXT_ALIGNMENT_CENTER | ?wxTEXT_ALIGNMENT_RIGHT | ?wxTEXT_ALIGNMENT_JUSTIFIED
.RE
.LP
.B
getBackgroundColour(This::wxTextAttr()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrgetbackgroundcolour>\&.
.RE
.LP
.B
getFont(This::wxTextAttr()) -> wxFont() (see module wxFont)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrgetfont>\&.
.RE
.LP
.B
getLeftIndent(This::wxTextAttr()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrgetleftindent>\&.
.RE
.LP
.B
getLeftSubIndent(This::wxTextAttr()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrgetleftsubindent>\&.
.RE
.LP
.B
getRightIndent(This::wxTextAttr()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrgetrightindent>\&.
.RE
.LP
.B
getTabs(This::wxTextAttr()) -> [integer()]
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrgettabs>\&.
.RE
.LP
.B
getTextColour(This::wxTextAttr()) -> colour() (see module wx)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrgettextcolour>\&.
.RE
.LP
.B
hasBackgroundColour(This::wxTextAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrhasbackgroundcolour>\&.
.RE
.LP
.B
hasFont(This::wxTextAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrhasfont>\&.
.RE
.LP
.B
hasTextColour(This::wxTextAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrhastextcolour>\&.
.RE
.LP
.B
getFlags(This::wxTextAttr()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrgetflags>\&.
.RE
.LP
.B
isDefault(This::wxTextAttr()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrisdefault>\&.
.RE
.LP
.B
setAlignment(This::wxTextAttr(), Alignment::WxTextAttrAlignment) -> ok
.br
.RS
.TP
Types
WxTextAttrAlignment = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrsetalignment>\&. 
.br
 WxTextAttrAlignment is one of ?wxTEXT_ALIGNMENT_DEFAULT | ?wxTEXT_ALIGNMENT_LEFT | ?wxTEXT_ALIGNMENT_CENTRE | ?wxTEXT_ALIGNMENT_CENTER | ?wxTEXT_ALIGNMENT_RIGHT | ?wxTEXT_ALIGNMENT_JUSTIFIED
.RE
.LP
.B
setBackgroundColour(This::wxTextAttr(), ColBack::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrsetbackgroundcolour>\&.
.RE
.LP
.B
setFlags(This::wxTextAttr(), Flags::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrsetflags>\&.
.RE
.LP
.B
setFont(This::wxTextAttr(), Font::wxFont() (see module wxFont)) -> ok
.br
.RS
.LP
Equivalent to setFont(This, Font, [])\&.
.RE
.LP
.B
setFont(This::wxTextAttr(), Font::wxFont() (see module wxFont), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {flags, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrsetfont>\&.
.RE
.LP
.B
setLeftIndent(This::wxTextAttr(), Indent::integer()) -> ok
.br
.RS
.LP
Equivalent to setLeftIndent(This, Indent, [])\&.
.RE
.LP
.B
setLeftIndent(This::wxTextAttr(), Indent::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {subIndent, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrsetleftindent>\&.
.RE
.LP
.B
setRightIndent(This::wxTextAttr(), Indent::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrsetrightindent>\&.
.RE
.LP
.B
setTabs(This::wxTextAttr(), Tabs::[integer()]) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrsettabs>\&.
.RE
.LP
.B
setTextColour(This::wxTextAttr(), ColText::colour() (see module wx)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextattr\&.html#wxtextattrsettextcolour>\&.
.RE
.LP
.B
destroy(This::wxTextAttr()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
